Bug 461381 - createrepo adversly affected by current updates
createrepo adversly affected by current updates
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-06 22:38 EDT by Michal Jaegermann
Modified: 2014-01-21 18:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 11:13:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-09-06 22:38:23 EDT
Description of problem:

With the current updates applied a command like that
  createrepo -d -g repodata/Fedora-8-comps.xml
sends 'createrepo' into a never-ending loop which
very quickly prints on a screen over and over:

(process:8336): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: Parsing other.xml error: Entity 'gt' not defined


(process:8336): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: Parsing other.xml error: Entity 'lt' not defined

Dropping '-d' (i.e. '--database') from a createrepo
command makes it to run again.

I guess that the most likely candidate in updates to trigger
the problem would be libxml2-2.6.32-2.fc8 unless this has
something to do with yum-utils-1.1.15-1.fc8 (???).

Version-Release number of selected component (if applicable):
createrepo-0.4.11-2.fc8
libxml2-2.6.32-2.fc8

How reproducible:
always but it appears that a bigger number of a packages,
in an order of two thousands, in a repository is needed
to trigger the issue (although I am not entirely sure).

Additional info:
I just have handy an F8 server with repositories which was
hit by this bug and I do not know if the same will not happen
with F9 as well.
Comment 1 seth vidal 2008-09-07 01:42:40 EDT
This should be transferred over to libxml2, I think.
Comment 2 Daniel Veillard 2008-09-09 15:00:11 EDT
Latest versions of libxml2 based on 2.7.1 and available in Testing
(I just ask for a move to stable) should fix the issue,

Daniel
Comment 3 Bug Zapper 2008-11-26 06:08:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 James Antill 2008-11-26 11:13:29 EST
closed in libxml2 update

Note You need to log in before you can comment on or make changes to this bug.